Start Round Now
curl --request POST \
--url https://api.example.com/contests/daily/templates/{template_id}/start-round \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"cooldown_hours": 2,
"payload": {},
"force": false
}
'import requests
url = "https://api.example.com/contests/daily/templates/{template_id}/start-round"
payload = {
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"cooldown_hours": 2,
"payload": {},
"force": False
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
starts_at: '2023-11-07T05:31:56Z',
ends_at: '2023-11-07T05:31:56Z',
cooldown_hours: 2,
payload: {},
force: false
})
};
fetch('https://api.example.com/contests/daily/templates/{template_id}/start-round', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"template_id": 123,
"template_slug": "<string>",
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"winners_count": 123,
"max_winners": 123,
"attempts_per_user": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"template_name": "<string>",
"payload": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}contests
Start Round Now
Принудительный запуск нового раунда ежедневного конкурса.
POST
/
contests
/
daily
/
templates
/
{template_id}
/
start-round
Start Round Now
Authorizations
Path Parameters
Body
application/json
Response
Successful Response
⌘I
